---
title: autocapitalize
slug: Web/HTML/Global_attributes/autocapitalize
tags:
  - Autocapitalize
  - Global attributes
  - HTML
  - Reference
---
<p>{{HTMLSidebar("Global_attributes")}}</p>

<p><span class="seoSummary">The <strong><code>autocapitalize</code></strong> <a href="/en-US/docs/Web/HTML/Global_attributes">global attribute</a> is an enumerated attribute that controls whether and how text input is automatically capitalized as it is entered/edited by the user.</span> The attribute must take one of the following values:</p>

<ul>
 <li><code>off</code> or <code>none</code>: No autocapitalization is applied (all letters default to lowercase)</li>
 <li><code>on</code> or <code>sentences</code>: The first letter of each sentence defaults to a capital letter; all other letters default to lowercase</li>
 <li><code>words</code>: The first letter of each word defaults to a capital letter; all other letters default to lowercase</li>
 <li><code>characters</code>: All letters should default to uppercase</li>
</ul>

<p>The <code>autocapitalize</code> attribute doesn’t affect behavior when typing on a physical keyboard. Instead, it affects the behavior of other input mechanisms, such as virtual keyboards on mobile devices and voice input. The behavior of such mechanisms is that they often assist users by automatically capitalizing the first letter of sentences. The <code>autocapitalize</code> attribute enables authors to override that behavior per-element.</p>

<p>The <code>autocapitalize</code> attribute never causes autocapitalization to be enabled for an {{HTMLElement("input")}} element with a {{htmlattrxref("type", "input")}} attribute whose value is <code>url</code>, <code>email</code>, or <code>password</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', "interaction.html#autocapitalization", "autocapitalize")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.global_attributes.autocapitalize")}}</p>
